[arch-commits] Commit in mp3blaster/trunk (PKGBUILD)

Allan McRae allan at archlinux.org
Sun Aug 17 02:05:36 EDT 2008


    Date: Sunday, August 17, 2008 @ 02:05:35
  Author: allan
Revision: 9287

upgpkg: mp3blaster 3.2.3-4
    ncurses rebuild

Modified:
  mp3blaster/trunk/PKGBUILD

----------+
 PKGBUILD |   11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-17 06:04:42 UTC (rev 9286)
+++ PKGBUILD	2008-08-17 06:05:35 UTC (rev 9287)
@@ -3,14 +3,15 @@
 # Contributor: Tom Newsom <Jeepster at gmx.co.uk>
 pkgname=mp3blaster
 pkgver=3.2.3
-pkgrel=3
+pkgrel=4
 pkgdesc="A console based mp3 and OGG player."
 depends=('ncurses' 'libvorbis' 'sdl')
 arch=(i686 x86_64)
 license=('GPL')
-source=(http://dl.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.gz \
+source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.gz \
         ftp://ftp2.de.debian.org/pub/debian/pool/main/m/mp3blaster/mp3blaster_3.2.3-3.diff.gz \
-		  mp3blaster-3.2.3-cdfs.patch)
+        mp3blaster-3.2.3-cdfs.patch
+        mp3blaster-gcc43.patch)
 url="http://mplayer.sf.net"
 
 build() {
@@ -20,10 +21,12 @@
     patch -Np1 -i ${fn}
   done
   patch -Np1 -i ${startdir}/src/mp3blaster-3.2.3-cdfs.patch || return 1
+  patch -Np1 -i ${startdir}/src/mp3blaster-gcc43.patch || return 1
   ./configure --prefix=/usr
   make || return 1
   make prefix=$startdir/pkg/usr install
 }
 md5sums=('0d892d7c99df175eb0efb2bc31086285'
          'ee5ad4ed48a3eebf2bc45ff09210ebd6'
-         '2a555430e0511077ea21535760a189bc')
+         '2a555430e0511077ea21535760a189bc'
+         '87475f146c1a873682fe9bf919d4f601')




More information about the arch-commits mailing list